Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1303548 (virt-v2v-from-rhel-xen) - [RFE] Add ability to import RHEL Xen guest images directly into oVirt
Summary: [RFE] Add ability to import RHEL Xen guest images directly into oVirt
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: virt-v2v-from-rhel-xen
Product: ovirt-engine
Classification: oVirt
Component: General
Version: 4.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ovirt-4.0.0-alpha
: 4.0.0
Assignee: Shahar Havivi
QA Contact: Nisim Simsolo
URL:
Whiteboard:
Depends On: 1332167
Blocks: 1330517 1373343
TreeView+ depends on / blocked
 
Reported: 2016-02-01 09:37 UTC by Shahar Havivi
Modified: 2016-09-06 04:20 UTC (History)
7 users (show)

Fixed In Version: ovirt 4.0.0 alpha1
Doc Type: Bug Fix
Doc Text:
In order to import VMs from Xen via RHEL passwordless SSH access has to be enabled between VDSM host and Xen. The following steps must be taken under vdsm user in the VDSM host that will perform the import of VMs: 1. Generate ssh keys for vdsm user: $ sudo -u vdsm ssh-keygen 2. Login to the Xen server via ssh in order to exchange keys with the Xen host: $ sudo -u vdsm ssh root@xenhost 3. Transfer public key to allow the access to Xen host: $ sudo -u vdsm ssh-copy-id root@xenhost oVirt is using virt-v2v to import the VMs from Xen servers, for more information on xen+ssh via virt-v2v reffer to http://libguestfs.org/virt-v2v.1.html under the "INPUT FROM RHEL 5 XEN" section. Example of a valid Xen URI: xen+ssh://root@xen.example.com
Clone Of:
Environment:
Last Closed: 2016-08-17 14:37:33 UTC
oVirt Team: Virt
rule-engine: ovirt-4.0.0+
mavital: testing_plan_complete?
rule-engine: planning_ack+
rule-engine: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1330517 None CLOSED [RFE] Implement option for adding XEN as external providers. 2019-02-19 16:00:54 UTC
Red Hat Bugzilla 1332212 None NEW [RFE] virt-v2v from RHEL Xen: Automate SSH key exchange between host and Xen server. 2019-02-19 16:00:54 UTC
Red Hat Bugzilla 1365411 None CLOSED [RFE] virt-v2v from RHEL Xen: Listing VMs failed if there are Xen VMs with block device. 2019-02-19 16:00:54 UTC
Red Hat Bugzilla 1366901 None CLOSED virt-v2v from RHEL Xen: VM failed to be removed when disconnecting and connecting RHEV host to network. 2019-02-19 16:00:54 UTC
Red Hat Bugzilla 1366990 None CLOSED Import from Xen and KVM: import dilaog - VM should not be checked as "clone" when there is identical VM name in a differ... 2019-02-19 16:00:54 UTC
oVirt gerrit 49505 master NEW v2v: support for importing Xen VMs via libvirt on RHEL hosts 2016-02-01 09:49:41 UTC
oVirt gerrit 51123 master NEW UI: v2v - add support for Xen 2016-02-01 09:49:24 UTC
oVirt gerrit 51144 master NEW core: v2v - add support for importing Xen VMs 2016-02-01 09:49:08 UTC


Description Shahar Havivi 2016-02-01 09:37:28 UTC
For VMs that run on RHEL Xen and managed by Libvirt.

Comment 1 Red Hat Bugzilla Rules Engine 2016-02-01 09:41:56 UTC
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.

Comment 2 Red Hat Bugzilla Rules Engine 2016-02-01 09:41:56 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 8 Nisim Simsolo 2016-08-16 15:23:51 UTC
Verified 
ovirt-engine-4.0.2.6-0.1.el7ev
libvirt-client-1.2.17-13.el7_2.5.x86_64
vdsm-4.18.11-1.el7ev.x86_64
qemu-kvm-rhev-2.3.0-31.el7_2.21.x86_64
sanlock-3.2.4-3.el7_2.x86_64
virt-v2v-1.28.1-1.55.el7_2.4.x86_64


Note You need to log in before you can comment on or make changes to this bug.